﻿using System.Threading.Tasks;

namespace UltimaCR.Rotations
{
    public sealed partial class Paladin : Rotation
    {
        public override async Task<bool> Combat()
        {
            if (await CircleOfScorn()) return true;
            if (await RoyalAuthority()) return true;
            if (await RageOfHalone()) return true;
            if (await GoringBlade()) return true;
            if (await RiotBlade()) return true;
            if (await SavageBlade()) return true;
//          if (await Fracture()) return true;
            return await FastBlade();
        }

        public override async Task<bool> PVPRotation()
        {
            return false;
        }
    }
}